GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::ClientAsyncReader< R > Class Template Reference

`#include <client_context.h>`

## Public Member Functions
template<class W >
| ClientAsyncReader (ChannelInterface *channel, CompletionQueue *cq, const RpcMethod &method, ClientContext *context, const W &request, void *tag)
void | ReadInitialMetadata (void *tag) GRPC_OVERRIDE
void | Read (R *msg, void *tag) GRPC_OVERRIDE
void | Finish (Status *status, void *tag) GRPC_OVERRIDE
Public Member Functions inherited from grpc::ClientAsyncStreamingInterface
virtual | ~ClientAsyncStreamingInterface ()
Public Member Functions inherited from grpc::AsyncReaderInterface< R >
virtual | ~AsyncReaderInterface ()

## Constructor & Destructor Documentation

template<class R >
template<class W >

grpc::ClientAsyncReader< R >::ClientAsyncReader | ( | ChannelInterface * | channel,
|  | CompletionQueue * | cq,
|  | const RpcMethod & | method,
|  | ClientContext * | context,
|  | const W & | request,
|  | void * | tag
| ) |  |
| inline

## Member Function Documentation

template<class R >

void grpc::ClientAsyncReader< R >::Finish | ( | Status * | status,
|  | void * | tag
| ) |  |
| inline virtual

Implements grpc::ClientAsyncStreamingInterface.

template<class R >

void grpc::ClientAsyncReader< R >::Read | ( | R * | msg,
|  | void * | tag
| ) |  |
| inline virtual

Implements grpc::AsyncReaderInterface< R >.

template<class R >

void grpc::ClientAsyncReader< R >::ReadInitialMetadata | ( | void * | tag | ) |
| inline virtual

Implements grpc::ClientAsyncStreamingInterface.

The documentation for this class was generated from the following files:

- include/grpc++/client_context.h
- include/grpc++/stream.h